﻿using System;
using System.Windows.Input;

using Utils.Silverlight.MVVM;

namespace Utils.Demo.ContosoSales.MVVM
{
    public interface IAboutViewModel : IViewModel
    {
        /// <summary>
        /// Gets or sets the about text.
        /// </summary>
        /// <value>The about text.</value>
        string AboutText { get; set; }

        /// <summary>
        /// Gets or sets the View's title.
        /// </summary>
        /// <value>The View's title.</value>
        string ViewTitle { get; set; }

        /// <summary>
        /// Gets or sets the open website command.
        /// </summary>
        /// <value>The open website command.</value>
        ICommand OpenWebsiteCommand { get; set; }
    }
}
