﻿using System;

namespace Utils.Silverlight.MVVM.Navigation
{
    public interface INavigationService
    {
        /// <summary>
        /// Navigates the specified path.
        /// </summary>
        /// <param name="path">The path.</param>
        void Navigate(string path);

        /// <summary>
        /// Navigates the specified path.
        /// </summary>
        /// <param name="path">The path.</param>
        /// <param name="args">The arguments.</param>
        void Navigate(string path, params object[] args);
    }
}
