﻿using System;

using Utils.Silverlight.MVVM;
using Utils.Demo.ContosoSales.MVVM.Model;

namespace Utils.Demo.ContosoSales.MVVM
{
    public interface ICustomerDetailViewModel : IClosableViewModel
    {
        /// <summary>
        /// The current customer.
        /// </summary>
        Customer Customer { get; set; }

        /// <summary>
        /// The data service.
        /// </summary>
        IDataService DataService { get; set; }
    }
}
