﻿using System;
using System.Windows.Input;
using System.Windows.Controls;

using Utils.Silverlight.MVVM;

namespace Utils.Demo.ContosoSales.MVVM
{
    public interface IHelpViewModel : IClosableViewModel
    {
        /// <summary>
        /// Help text to show.
        /// </summary>
        string HelpText { get; set; }

        /// <summary>
        /// What is the user searching for.
        /// </summary>
        string SearchText { get; set; }

        /// <summary>
        /// Close.
        /// </summary>
        ICommand CloseCommand { get; set; }

        /// <summary>
        /// Search.
        /// </summary>
        ICommand SearchCommand { get; set; }
    }
}
