﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using System.ComponentModel.Composition;

using Utils.Silverlight.MVVM;

namespace Utils.Demo.ContosoSales.MVVM.Views
{
    [ViewExport(ViewModelContract = typeof(IMainViewModel))]
    [Export(typeof(MainView))]
    public partial class MainView : UserControl, IView
    {
        public MainView()
        {
            InitializeComponent();            
        }

        /// <summary>
        /// If an error occurs during navigation, show an error window.
        /// </summary>
        private void OnNavigationFailed(object sender, NavigationFailedEventArgs e)
        {
            e.Handled = true;
            MessageBox.Show(e.Exception.ToString());
        }
    }
}